<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>React</title>
  <script crossorigin src="https://unpkg.com/react@18/umd/react.production.min.js"></script>
  <script crossorigin src="https://unpkg.com/react-dom@18/umd/react-dom.production.min.js"></script>
  <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css"
        integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
  <link rel="stylesheet" type="text/css" href="styles.css">
  <script type="text/babel">
    function add_header ()
    {
      const Header = props => {
        return (
                <div className="head-form">
                  <nav className="navbar navbar-light bg-light">
                    <a className="navbar-brand logo" href="#"><span>{props.logo}</span></a>
                    <a className="navbar-brand menu" href="#">{props.menu}</a>
                    <a className="navbar-brand login" href="#">{props.logIn}</a>
                    <a className="navbar-brand regin" href="#">{props.regIn}</a>
                  </nav>
                </div>
        )
      }
      const HeaderContent = [{logo: 'Net Cool', menu: 'Menu', logIn: 'Log In', regIn: 'Registration'}];
      const FillHeader = (
              <div>
                {HeaderContent.map((header, key) =>(
                        <Header logo={header.logo} menu={header.menu} logIn={header.logIn} regIn={header.regIn}/>
                ))}
              </div>
      );
      ReactDOM.render(FillHeader, document.getElementById('head'));
    }
    function add_sidebar()
    {
      const Sidebar = props => {
        return (
                <div className="sidebar">
                  <a>{props.home}</a>
                  <a>{props.news}</a>
                  <a>{props.contacts}</a>
                  <a>{props.about}</a>
                </div>
        )
      }
      const SidebarContent = [{home: 'Home', news: 'News', contacts:'Our contacts', about: 'About'}];
      const FillSidebar = (
              <div>
                {SidebarContent.map((sidebar, key) =>(
                        <Sidebar home={sidebar.home} news={sidebar.news} contacts={sidebar.contacts} about={sidebar.about}/>
                ))}
              </div>
      );
      ReactDOM.render(FillSidebar, document.getElementById('side'));
    }
    function add_content_page()
    {
      const ContentPage = props => {
        return (
                <div className="content">
                  <h1>{props.headline}</h1>
                  <p>{props.desc}</p>
                  <p><span>{props.extra}</span></p>
                </div>
        )
      }
      const ContentPart = [{headline: 'Explore your mind with us!', desc: 'Open up your mind to an absolutely new ' +
                'experience. Start with yourself and end up with a crowd of people with the same ideas. Only unity. Ultra ' +
                'hardcore unity! Drive intelligent operations in your organization to achieve your decarbonization and ' +
                'sustainability goals. Our software and analytics can help you track and report on sustainability ' +
                'initiatives, maintain compliance and accountability, reduce energy consumption and manage emissions.' +
                ' Track, measure, reduce and report carbon emissions from a single source of truth. Honeywell Forge S' +
                'ustainability+ for Industrials | Emissions Management is enterprise-grade, scalable, cloud-based, cyber ' +
                'secure and device agnostic across industries.', extra: 'We share love, not war. Enjoy yourself, do not ' +
                'worry and be happy. Remember: The further you go the more new stuff you are going to meet.'}];
      const FillContent = (
              <div>
                {ContentPart.map((contentPart, key) => (
                        <ContentPage headline={contentPart.headline} desc={contentPart.desc} extra={contentPart.extra}/>
                ))}
              </div>
      );
      ReactDOM.render(FillContent, document.getElementById('content-part'));
    }
    function add_cards()
    {
      const Card = props => {
        return (
                <div className="card-body">
                  <h2>{props.header}</h2>
                  <p>{props.val}</p>
                </div>
        )
      }
      const CardsContent = [{header:'Quality', val: 'Best quality you will be able to find on global market!'},
        {header: 'Stability', val: 'Recently we drastically improved our capability of delivering our products to our customers!'},
        {header: 'Discounts', val: 'Huge amount of all kinds of discounts on all cases of human life!'}
      ];
      const FillCards = (
              <div>
                {CardsContent.map((card, key) => (
                        <Card header={card.header} val={card.val}/>
                ))}
              </div>
      );
      ReactDOM.render(FillCards, document.getElementById('cards'));
    }
    function add_footer()
    {
      const Footer = props => {
        return (
                <div className="footer">
                  <p>{props.information}</p>
                  <p>{props.companyInfo}</p>
                </div>
        )
      }
      const FooterContent = [{information:'Website Terms | Privacy Policy | Marketing', companyInfo: '©2023 Net Cool, LLC. ' +
                'All Rights Reserved'}];
      const FillFooter = (
              <div>
                {FooterContent.map((footer, key) => (
                        <Footer information={footer.information} companyInfo={footer.companyInfo}/>
                ))}
              </div>
      );
      ReactDOM.render(FillFooter, document.getElementById('footer'));
    }

    add_header();
    add_sidebar();
    add_content_page();
    add_cards();
    add_footer();
  </script>
</head>
<body>
<div id="head" class="header"></div>
<div id="side" class="side"></div>
<div id="content-part"></div>
<div id="cards" class="cards"></div>
<div id="footer" class="footer"></div>
</body>
</html>